### Constructor

# Gtk MediaFilenew_for_input_stream

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_input_stream (
      GInputStream* stream
    )

#### Description [src]

Creates a new media file to play `stream`.

If you want the resulting media to be seekable, the stream should implement the `GSeekable` interface.

#### Parameters

`stream`

  Type: `GInputStream`

  The stream to play.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkMediaFile`

A new `GtkMediaFile`

The caller of the function takes ownership of the data, and is responsible for freeing it.